import React from 'react';
import { containers } from "./containers";
var PisellContainer = function PisellContainer(props) {
  var renderType = props.renderType,
    children = props.children,
    cptProps = props.props;

  /** undefined | "" | null 渲染到当前位置 */
  if (!renderType) {
    return children;
  }
  var Container = containers[renderType];
  if (!Container) {
    console.error('Container not found for renderType:', renderType);
    return null;
  }
  return /*#__PURE__*/React.createElement(Container, cptProps, children);
};
export default PisellContainer;